--- Mk/bsd.port.mk.orig	2011-02-06 17:12:09.013362627 +1030
+++ Mk/bsd.port.mk	2011-02-06 17:12:39.836834086 +1030
@@ -1589,6 +1589,10 @@
 .include "${PORTSDIR}/Mk/bsd.kde4.mk"
 .endif
 
+.if defined(USE_LIBUSB)
+.include "${PORTSDIR}/Mk/bsd.libusb.mk"
+.endif
+
 # You can force skipping these test by defining IGNORE_PATH_CHECKS
 .if !defined(IGNORE_PATH_CHECKS)
 .if (${PREFIX:C,(^.).*,\1,} != "/")
--- /dev/null	2011-02-06 18:22:00.000000000 +1030
+++ Mk/bsd.libusb.mk	2011-02-06 17:35:17.087037543 +1030
@@ -0,0 +1,23 @@
+# -*- mode: Makefile; tab-width: 4; -*-
+# ex: ts=4
+#
+# $FreeBSD$
+#
+
+.if !defined(_POSTMKINCLUDED) && !defined(Libusb_Pre_Include)
+
+Libusb_Pre_Include=		bsd.libusb.mk
+Libusb_Include_MAINTAINER=	ports@FreeBSD.org
+
+# USE_LIBUSB		- Add library dependency on LibUSB. For FreeBSD <800069
+#			  depend on devel/libusb otherwise devel/libusb-base.
+
+.if ${OSVERSION} < 800069
+LIB_DEPENDS+=	usb-0.1:${PORTSDIR}/devel/libusb
+.else
+RUN_DEPENDS+=${PREFIX}/libdata/pkgconfig/libusb.pc:${PORTSDIR}/devel/libusb_base
+CONFIGURE_ENV+=	LIBUSB_CFLAGS="-I/usr/include" \
+		LIBUSB_LIBS="-L/usr/lib -lusb"
+.endif
+.endif
+
--- sysutils/nut/Makefile.orig	2011-02-06 18:16:15.815672701 +1030
+++ sysutils/nut/Makefile	2011-02-06 17:39:20.007672963 +1030
@@ -102,11 +102,7 @@
 .endif
 
 .if !defined(WITHOUT_USB)
-. if ${OSVERSION} < 800069
-LIB_DEPENDS+=	usb-0.1.8:${PORTSDIR}/devel/libusb
-. else
-EXTRA_PATCHES=	${FILESDIR}/extra-patch-m4_nut_check_libusb.m4
-. endif
+USE_LIBUSB=	yes
 CONFIGURE_ARGS+=	--with-usb=auto
 MAN8+=		bcmxcp_usb.8 megatec_usb.8 richcomm_usb.8 tripplite_usb.8 \
 		usbhid-ups.8
--- sysutils/nut22/Makefile.orig	2011-02-06 18:16:13.912634070 +1030
+++ sysutils/nut22/Makefile	2011-02-06 17:37:59.854447543 +1030
@@ -98,11 +98,7 @@
 .endif
 
 .if !defined(WITHOUT_USB)
-. if ${OSVERSION} < 800069
-LIB_DEPENDS+=	usb-0.1.8:${PORTSDIR}/devel/libusb
-. else
-EXTRA_PATCHES=	${FILESDIR}/extra-patch-m4_nut_check_libusb.m4
-. endif
+USE_LIBUSB=	yes
 CONFIGURE_ARGS+=	--with-usb=auto
 MAN8+=		bcmxcp_usb.8 megatec_usb.8 tripplite_usb.8 usbhid-ups.8
 PLIST_SUB+=	NUT_USB=""
--- sysutils/scanbuttond/Makefile.orig	2011-02-06 18:15:42.488171493 +1030
+++ sysutils/scanbuttond/Makefile	2011-02-06 18:17:09.573471190 +1030
@@ -18,15 +18,12 @@
 		LDFLAGS="-L${LOCALBASE}/lib"
 USE_LDCONFIG=	yes
 MAKE_JOBS_SAFE=	yes
+USE_LIBUSB=     yes
 
 SUB_FILES+=	pkg-message
 
 .include <bsd.port.pre.mk>
 
-.if ${OSVERSION} < 800069
-LIB_DEPENDS+=	usb-0.1.8:${PORTSDIR}/devel/libusb
-.endif
-
 pre-configure:
 	@${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} \
 		${REINPLACE_CMD} -e 's|-ldl||g'
--- sysutils/lcdproc/Makefile.orig	2011-02-06 18:16:18.003693013 +1030
+++ sysutils/lcdproc/Makefile	2011-02-06 17:40:09.692377546 +1030
@@ -68,8 +68,7 @@
 .include <bsd.port.pre.mk>
 
 .if defined(WITH_USB)
-. if ${OSVERSION} < 800069
-LIB_DEPENDS+=		usb-0.1.8:${PORTSDIR}/devel/libusb
+USE_LIBUSB=		yes
 CONFIGURE_ARGS+=	--with-libusb
 . else
 CONFIGURE_ARGS+=	--with-libusb=/usr
--- sysutils/asusoled/Makefile.orig	2011-02-06 18:16:11.856612263 +1030
+++ sysutils/asusoled/Makefile	2011-02-06 17:37:34.461066372 +1030
@@ -19,6 +19,7 @@
 
 USE_SDL=	image sdl ttf
 USE_RC_SUBR=	asusoled.sh oled_clock.sh
+USE_LIBUSB=	yes
 
 PORTDATA=	asus.png asus_clock.png
 PORTDOCS=	README.FreeBSD
@@ -31,10 +32,6 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${OSVERSION} < 800069
-LIB_DEPENDS+=	usb-0.1.8:${PORTSDIR}/devel/libusb
-.endif
-
 post-install:
 .if !defined(NOPORTDATA)
 	@${MKDIR} ${DATADIR}
--- sysutils/usbutils/Makefile.orig	2011-02-06 18:16:09.703579718 +1030
+++ sysutils/usbutils/Makefile	2011-02-06 17:37:19.362861321 +1030
@@ -20,6 +20,7 @@
 CONFIGURE_ARGS=	--datadir=${DATADIR} --enable-zlib
 USE_GMAKE=	yes
 USE_GNOME=	pkgconfig
+USE_LIBUSB=	yes
 
 MAN1=		usb-devices.1
 MAN8=		lsusb.8
@@ -27,13 +28,6 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${OSVERSION} < 800069
-LIB_DEPENDS+=	usb-0.1:${PORTSDIR}/devel/libusb
-.else
-CONFIGURE_ENV+=	LIBUSB_CFLAGS="-I/usr/include" \
-		LIBUSB_LIBS="-L/usr/lib -lusb"
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -i '' \
 		-e 's|/bin/bash|/bin/sh|' \
